## appstream 0.13.1

=== debian/changelog ===
appstream (0.13.1-2) unstable; urgency=medium

  * No-change source-only upload.

 -- Matthias Klumpp <mak@debian.org>  Tue, 22 Dec 2020 00:04:10 +0100

appstream (0.13.1-1) unstable; urgency=medium

  * New upstream version: 0.13.1
    - Includes workaround for a gobject-introspection ambiguity that
      prevents declaring certain ownership relations. The workaround,
      at least for now, makes both Python and Vala work again when
      using GIR data (Closes: #974107)
  * Drop extra highlight.js copy
  * Add packages for the experimental appstream-compose library
  * Update description texts slightly
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Tue, 01 Dec 2020 10:10:16 +0100

## appstream 0.14.0

=== debian/changelog ===
appstream (0.14.0-2) unstable; urgency=medium

  * Add missing dependency on libgdk-pixbuf2.0-dev to
    appstream-compose dev package
  * Add 01_qt-better-errors.patch, 02_no-propagated-error-autoclean.patch:
    - Resolves a crash in Plasma Discover (and possibly other applications
      trying to open a nonexistent metadata file) due to propagated error
      objects being dereferenced by their creating function.

 -- Matthias Klumpp <mak@debian.org>  Fri, 05 Feb 2021 20:36:26 +0100

appstream (0.14.0-1) unstable; urgency=medium

  * New upstream version: 0.14.0
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Tue, 02 Feb 2021 17:22:17 +0100

=== debian/control ===
Source: appstream
Section: admin
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: debhelper-compat (= 13),
               gettext,
               gobject-introspection,
               gperf,
               gtk-doc-tools,
               libcairo2-dev,
               libfontconfig-dev,
               libgdk-pixbuf-2.0-dev,
               libgirepository1.0-dev (>= 1.58),
               libglib2.0-dev (>= 2.58),
               libjs-highlight.js,
               liblmdb-dev,
               libpango1.0-dev,
               librsvg2-dev,
               libsoup2.4-dev (>= 2.56),
               libstemmer-dev,
               libxml2-dev (>= 2.8.0),
               libyaml-dev (>= 0.1.6),
               meson (>= 0.48),
               qtbase5-dev (>= 5.6),
               valac
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://www.freedesktop.org/wiki/Distributions/AppStream/
Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream.git
Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream

Package: appstream
Architecture: any
Depends: shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: appstream-index (<< ${source:Version}),
        gnome-software (<< 3.22.5-1),
        plasma-discover (<< 5.8.5-3)
Provides: appstream-index
Suggests: apt-config-icons
Description: Software component metadata management
 AppStream is a metadata specification which permits software components to
 provide information about themselves to automated systems and end-users
 before the software is actually installed.
 The AppStream project provides facilities to easily access and transform
 this metadata, as well as a few additional services to allow building
 feature-rich software centers and similar applications.
 .
 This package provides tools to generate, maintain and query the AppStream
 data pool of installed and available software, and enables integration
 with the APT package manager.
 .
 The 'appstreamcli' tool can be used for accessing the software component
 pool as well as for working with AppStream metadata directly, including
 validating it for compliance with the specification.

Package: libappstream4
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Library to access AppStream services
 AppStream is a metadata specification which permits software components to
 provide information about themselves to automated systems and end-users
 before the software is actually installed.
 This permits informative displays of new applications to users in software
 centers, as well as allowing a system to make decisions on which new software
 a user might want to install (e.g. missing firmware or media handlers).
 .
 This package contains a GObject-based library to access AppStream
 services, like the software component metadata pool.
 It also contains functions for reading, writing and transforming AppStream
 metadata.

Package: libappstream-dev
Architecture: any
Section: libdevel
Depends: gir1.2-appstream-1.0 (= ${binary:Version}),
         libappstream4 (= ${binary:Version}),
         libglib2.0-dev (>= 2.46),
         ${misc:Depends}
Description: Library to access AppStream services (development files)
 AppStream is a metadata specification which permits software components to
 provide information about themselves to automated systems and end-users
 before the software is actually installed.
 This permits informative displays of new applications to users in software
 centers, as well as allowing a system to make decisions on which new software
 a user might want to install (e.g. missing firmware or media handlers).
 .
 This package contains development files necessary to develop
 software management tools which use the AppStream library.

Package: gir1.2-appstream-1.0
Architecture: any
Section: introspection
Depends: libappstream4 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Breaks: gir1.2-appstream (<< 0.10.1)
Replaces: gir1.2-appstream (<< 0.10.1)
Description: Library to access AppStream services (introspection data)
 AppStream is a metadata specification which permits software components to
 provide information about themselves to automated systems and end-users
 before the software is actually installed.
 This permits informative displays of new applications to users in software
 centers, as well as allowing a system to make decisions on which new software
 a user might want to install (e.g. missing firmware or media handlers).
 .
 This package contains introspection data for the AppStream library.

Package: libappstreamqt2
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Qt5 library to access AppStream services
 AppStream is a metadata specification which permits software components to
 provide information about themselves to automated systems and end-users
 before the software is actually installed.
 This permits informative displays of new applications to users in software
 centers, as well as allowing a system to make decisions on which new software
 a user might want to install (e.g. missing firmware or media handlers).
 .
 This package contains a Qt-based library to access AppStream
 services, like the software component metadata pool.

Package: libappstreamqt-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libappstreamqt2 (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: Qt5 library to access AppStream services (development files)
 AppStream is a metadata specification which permits software components to
 provide information about themselves to automated systems and end-users
 before the software is actually installed.
 This permits informative displays of new applications to users in software
 centers, as well as allowing a system to make decisions on which new software
 a user might want to install (e.g. missing firmware or media handlers).
 .
 This package contains development files necessary to develop
 software management tools which use the Qt-based AppStream library.

Package: libappstream-compose0
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Building blocks to compose AppStream metadata
 AppStream is a metadata specification which permits software components to
 provide information about themselves to automated systems and end-users
 before the software is actually installed.
 This permits informative displays of new applications to users in software
 centers, as well as allowing a system to make decisions on which new software
 a user might want to install (e.g. missing firmware or media handlers).
 .
 This package contains a GObject-based library of high-level functions
 to compose AppStream metadata and auxiliary data (like font renderings,
 icons, etc.).

Package: libappstream-compose-dev
Architecture: any
Section: libdevel
Depends: gir1.2-appstreamcompose-1.0 (= ${binary:Version}),
         libappstream-compose0 (= ${binary:Version}),
         libappstream-dev (= ${binary:Version}),
         libgdk-pixbuf2.0-dev,
         ${misc:Depends}
Suggests: appstream-generator
Description: Building blocks to compose AppStream metadata (development files)
 AppStream is a metadata specification which permits software components to
 provide information about themselves to automated systems and end-users
 before the software is actually installed.
 This permits informative displays of new applications to users in software
 centers, as well as allowing a system to make decisions on which new software
 a user might want to install (e.g. missing firmware or media handlers).
 .
 This package contains development files necessary to develop applications
 using the AppStream compose library.

Package: gir1.2-appstreamcompose-1.0
Architecture: any
Section: introspection
Depends: libappstream-compose0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Description: Building blocks to compose AppStream metadata (introspection data)
 AppStream is a metadata specification which permits software components to
 provide information about themselves to automated systems and end-users
 before the software is actually installed.
 This permits informative displays of new applications to users in software
 centers, as well as allowing a system to make decisions on which new software
 a user might want to install (e.g. missing firmware or media handlers).
 .
 This package contains introspection data for the AppStream compose library.

Package: appstream-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-highlight.js,
         ${misc:Depends}
Suggests: appstream
Breaks: appstream (<< 0.11.8)
Description: Developer documentation for AppStream
 AppStream is a metadata specification which permits software components to
 provide information about themselves to automated systems and end-users
 before the software is actually installed.
 This permits informative displays of new applications to users in software
 centers, as well as allowing a system to make decisions on which new software
 a user might want to install (e.g. missing firmware or media handlers).
 .
 This package provides developer documentation for AppStream.

Package: apt-config-icons
Architecture: all
Multi-Arch: foreign
Section: misc
Depends: appstream,
         ${misc:Depends}
Description: APT configuration snippet to enable icon downloads
 This package contains an APT configuration snippet that enables the
 download of an icon tarball containing application icons for display in
 software centers.
 Icons get downloaded directly from the archive via regular cache updates,
 and match the software currently available in the respective archive suites.
 .
 This snippet enables icons of the default icon size set in the AppStream
 specification for software centers, 64x64px. It also enables downloads
 of smaller 48x48px icons.

Package: apt-config-icons-hidpi
Architecture: all
Multi-Arch: foreign
Section: misc
Depends: apt-config-icons,
         ${misc:Depends}
Description: APT configuration snippet to enable HiDPI icon downloads
 This package contains an APT configuration snippet that enables the
 download of an icon tarball containing application icons for display in
 software centers.
 Icons get downloaded directly from the archive via regular cache updates,
 and match the software currently available in the respective archive suites.
 .
 This snippet enables icons in the size of 64x64@2, that are suitable for
 HiDPI displays.

Package: apt-config-icons-large
Architecture: all
Multi-Arch: foreign
Section: misc
Depends: apt-config-icons,
         ${misc:Depends}
Description: APT configuration snippet to enable large icon downloads
 This package contains an APT configuration snippet that enables the
 download of an icon tarball containing application icons for display in
 software centers.
 Icons get downloaded directly from the archive via regular cache updates,
 and match the software currently available in the respective archive suites.
 .
 This snippet enables icon tarball downloads in large, 128x128px size.
 If these bigger icons are not downloaded by APT, a software center may
 decide to fetch them on-demand from a web location.

Package: apt-config-icons-large-hidpi
Architecture: all
Multi-Arch: foreign
Section: misc
Depends: apt-config-icons-large,
         ${misc:Depends}
Description: APT configuration snippet to enable large HiDPI icon downloads
 This package contains an APT configuration snippet that enables the
 download of an icon tarball containing application icons for display in
 software centers.
 Icons get downloaded directly from the archive via regular cache updates,

## appstream 0.14.1

=== debian/changelog ===
appstream (0.14.1-1) unstable; urgency=medium

  * New upstream version: 0.14.1
  * Update .symbols file
  * Drop all patches: Applied upstream
  * Override Lintian warning about bad metainfo files in the testsuite
    - Those are bad on purpose, for testing AppStream itself.

 -- Matthias Klumpp <mak@debian.org>  Tue, 16 Feb 2021 20:54:02 +0100

## appstream 0.14.2

=== debian/changelog ===
appstream (0.14.2-1) unstable; urgency=medium

  * New upstream version: 0.14.2
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Tue, 02 Mar 2021 10:08:00 +0100

## appstream 0.14.4

=== meson_options.txt ===
option('stemming',
       type : 'boolean',
       value : true,
       description : 'Use stemming while searching. Requires Snowball (libstemmer)'
)
option('vapi',
       type : 'boolean',
       value : false,
       description : 'Create and install a Vala API file. Requires "gir" to be enabled as well'
)
option('qt',
       type : 'boolean',
       value : false,
       description : 'Build libappstream-qt'
)
option('docs',
       type : 'boolean',
       value : false,
       description : 'Build documentation for API and specification'
)
option('apidocs',
       type : 'boolean',
       value : true,
       description : 'Build API documentation (automatically enabled when "-Ddocs=true" is passed)'
)
option('install-docs',
       type : 'boolean',
       value : true,
       description : 'Install documentation for API and specification'
)
option('apt-support',
       type : 'boolean',
       value : false,
       description : 'Enable integration with APT on Debian'
)
option('gir',
       type : 'boolean',
       value : true,
       description : 'Build introspection data'
)

#
# For development
#
option('maintainer',
       type : 'boolean',
       value : false,
       description : 'Enable maintainer mode (use strict compiler flags, e.g. -Werror)'
)
option('compose',
       type : 'boolean',
       value : false,
       description : 'Build experimental libappstream-compose library'
)

=== debian/changelog ===
appstream (0.14.4-1) unstable; urgency=medium

  * New upstream version: 0.14.4
    - Handle locale modifiers properly, preventing bad YAML generation
    - Improve text line wrapping
    - Parse slightly more complex expressions for metadata licenses
    - Don't flag cache as updated if update failed
    - Use system cache even if some invalid metadata was ignored
    - Fix bad XML being generated for flashed firmware
  * Delete the right cache directory on purge (Closes: #982433)
  * Update d/watch file version

 -- Matthias Klumpp <mak@debian.org>  Sat, 10 Jul 2021 19:36:58 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                gperf,
                gtk-doc-tools,
                libcairo2-dev,
+               libcurl4-gnutls-dev (>= 7.62) | libcurl-dev (>= 7.62),
                libfontconfig-dev,
                libgdk-pixbuf-2.0-dev,
                libgirepository1.0-dev (>= 1.58),
@@ -16,7 +17,6 @@
                liblmdb-dev,
                libpango1.0-dev,
                librsvg2-dev,
-               libsoup2.4-dev (>= 2.56),
                libstemmer-dev,
                libxml2-dev (>= 2.8.0),
                libyaml-dev (>= 0.1.6),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

AS_CONFIGURE_ARGS = -Dqt=true \
		-Dapt-support=true \
		-Dcompose=true \
		-Dvapi=true

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- $(AS_CONFIGURE_ARGS)

override_dh_missing:
	dh_missing --fail-missing

## appstream 0.14.5

=== debian/changelog ===
appstream (0.14.5-1) unstable; urgency=medium

  * New upstream version: 0.14.5
  * Update symbols file
  * Add compose feature in separate appstream-compose package
  * Update d/copyright
  * Drop obsolete breaks/replaces on packages

 -- Matthias Klumpp <mak@debian.org>  Sat, 28 Aug 2021 22:58:54 +0200

=== debian/control ===
--- 
+++ 
@@ -34,10 +34,6 @@
 Depends: shared-mime-info,
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: appstream-index (<< ${source:Version}),
-        gnome-software (<< 3.22.5-1),
-        plasma-discover (<< 5.8.5-3)
-Provides: appstream-index
 Suggests: apt-config-icons
 Description: Software component metadata management
  AppStream is a metadata specification which permits software components to
@@ -54,6 +50,22 @@
  The 'appstreamcli' tool can be used for accessing the software component
  pool as well as for working with AppStream metadata directly, including
  validating it for compliance with the specification.
+
+Package: appstream-compose
+Architecture: any
+Depends: appstream,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Compose metadata collections from directory trees
+ AppStream is a metadata specification which permits software components to
+ provide information about themselves to automated systems and end-users
+ before the software is actually installed.
+ This permits informative displays of new applications to users in software
+ centers, as well as allowing a system to make decisions on which new software
+ a user might want to install (e.g. missing firmware or media handlers).
+ .
+ This package extends the `appstreamcli` utility with a `compose` subcommand
+ to generate AppStream metadata and media files from directory trees.
 
 Package: libappstream4
 Architecture: any
@@ -99,8 +111,6 @@
 Depends: libappstream4 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends}
-Breaks: gir1.2-appstream (<< 0.10.1)
-Replaces: gir1.2-appstream (<< 0.10.1)
 Description: Library to access AppStream services (introspection data)
  AppStream is a metadata specification which permits software components to
  provide information about themselves to automated systems and end-users
@@ -209,7 +219,6 @@
 Depends: libjs-highlight.js,
          ${misc:Depends}
 Suggests: appstream
-Breaks: appstream (<< 0.11.8)
 Description: Developer documentation for AppStream
  AppStream is a metadata specification which permits software components to
  provide information about themselves to automated systems and end-users
@@ -270,14 +279,3 @@
  If these bigger icons are not downloaded by APT, a software center may
  decide to fetch them on-demand from a web location.
 
-Package: apt-config-icons-large-hidpi
-Architecture: all
-Multi-Arch: foreign
-Section: misc
-Depends: apt-config-icons-large,
-         ${misc:Depends}
-Description: APT configuration snippet to enable large HiDPI icon downloads
- This package contains an APT configuration snippet that enables the
- download of an icon tarball containing application icons for display in
- software centers.
- Icons get downloaded directly from the archive via regular cache updates,

## appstream 0.15.2

=== meson_options.txt ===
--- 
+++ 
@@ -13,6 +13,22 @@
        value : false,
        description : 'Build libappstream-qt'
 )
+option('compose',
+       type : 'boolean',
+       value : false,
+       description : 'Build libappstream-compose library and `appstreamcli compose` tool'
+)
+option('apt-support',
+       type : 'boolean',
+       value : false,
+       description : 'Enable integration with APT on Debian'
+)
+option('gir',
+       type : 'boolean',
+       value : true,
+       description : 'Build introspection data'
+)
+
 option('docs',
        type : 'boolean',
        value : false,
@@ -28,16 +44,6 @@
        value : true,
        description : 'Install documentation for API and specification'
 )
-option('apt-support',
-       type : 'boolean',
-       value : false,
-       description : 'Enable integration with APT on Debian'
-)
-option('gir',
-       type : 'boolean',
-       value : true,
-       description : 'Build introspection data'
-)
 
 #
 # For development
@@ -47,8 +53,8 @@
        value : false,
        description : 'Enable maintainer mode (use strict compiler flags, e.g. -Werror)'
 )
-option('compose',
+option('static-analysis',
        type : 'boolean',
        value : false,
-       description : 'Build experimental libappstream-compose library'
+       description : 'Enable GCC static analysis support'
 )

=== debian/changelog ===
appstream (0.15.2-2) unstable; urgency=medium

  * appstream-compose: Add missing Breaks/Replaces
    on appstream (Closes: #1006312)

 -- Matthias Klumpp <mak@debian.org>  Thu, 24 Feb 2022 14:58:45 +0100

appstream (0.15.2-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version: 0.15.2
  * Move *.compose metainfo file to the right package
  * Remove old caches in postinst
  * Update symbols file

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- Matthias Klumpp <mak@debian.org>  Tue, 22 Feb 2022 19:09:15 +0100

appstream (0.15.1-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version: 0.15.1
  * Update symbols file

  [ Laurent Bigonville ]
  * debian/control: Set librsvg2-dev BD version to 2.48
  * Only build libappstream-compose library on architecture where librsvg is
    building (Closes: #988827)
  * debian/control: Mark -dev and gir packages as M-A: same

 -- Matthias Klumpp <mak@debian.org>  Wed, 22 Dec 2021 18:40:12 +0100

appstream (0.15.0-1) unstable; urgency=medium

  * New upstream version: 0.15.0
  * Only update cache on trigger if needed
  * Adjust lintian override to lintian output changes
  * Update symbols file
  * Update d/control: Depend on libxmlb and drop lmdb

 -- Matthias Klumpp <mak@debian.org>  Thu, 02 Dec 2021 22:48:16 +0100

appstream (0.14.6-1) unstable; urgency=medium

  * New upstream version: 0.14.6 (Closes: #995798)
  * Bump standards version (no changes needed)
  * appstream-compose: Recommend optipng and ffmpeg
    - This allows as-compose to use the optipng and ffprobe
      binaries to improve its output, if available.
  * Update symbols file
  * Update lintian override for test sample data

 -- Matthias Klumpp <mak@debian.org>  Fri, 08 Oct 2021 19:58:18 +0200

=== debian/control ===
--- 
+++ 
@@ -7,24 +7,25 @@
                gobject-introspection,
                gperf,
                gtk-doc-tools,
+               itstool,
                libcairo2-dev,
-               libcurl4-gnutls-dev (>= 7.62) | libcurl-dev (>= 7.62),
+               libcurl4-gnutls-dev | libcurl-dev (>= 7.62),
                libfontconfig-dev,
                libgdk-pixbuf-2.0-dev,
-               libgirepository1.0-dev (>= 1.58),
-               libglib2.0-dev (>= 2.58),
+               libgirepository1.0-dev (>= 1.62),
+               libglib2.0-dev (>= 2.62),
                libjs-highlight.js,
-               liblmdb-dev,
                libpango1.0-dev,
-               librsvg2-dev,
+               librsvg2-dev (>= 2.48) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64 x32],
                libstemmer-dev,
-               libxml2-dev (>= 2.8.0),
-               libyaml-dev (>= 0.1.6),
-               meson (>= 0.48),
-               qtbase5-dev (>= 5.6),
+               libxml2-dev,
+               libxmlb-dev (>= 0.3.6),
+               libyaml-dev,
+               meson (>= 0.56),
+               qtbase5-dev,
                valac
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.freedesktop.org/wiki/Distributions/AppStream/
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream
@@ -52,10 +53,14 @@
  validating it for compliance with the specification.
 
 Package: appstream-compose
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
 Depends: appstream,
          ${misc:Depends},
          ${shlibs:Depends}
+Recommends: ffmpeg,
+            optipng
+Replaces: appstream (<< 0.15.2)
+Breaks: appstream (<< 0.15.2)
 Description: Compose metadata collections from directory trees
  AppStream is a metadata specification which permits software components to
  provide information about themselves to automated systems and end-users
@@ -90,9 +95,10 @@
 Package: libappstream-dev
 Architecture: any
 Section: libdevel
+Multi-Arch: same
 Depends: gir1.2-appstream-1.0 (= ${binary:Version}),
          libappstream4 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.46),
+         libglib2.0-dev,
          ${misc:Depends}
 Description: Library to access AppStream services (development files)
  AppStream is a metadata specification which permits software components to
@@ -108,6 +114,7 @@
 Package: gir1.2-appstream-1.0
 Architecture: any
 Section: introspection
+Multi-Arch: same
 Depends: libappstream4 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends}
@@ -144,7 +151,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libappstreamqt2 (= ${binary:Version}),
-         qtbase5-dev (>= 5.4),
+         qtbase5-dev,
          ${misc:Depends}
 Description: Qt5 library to access AppStream services (development files)
  AppStream is a metadata specification which permits software components to
@@ -158,7 +165,7 @@
  software management tools which use the Qt-based AppStream library.
 
 Package: libappstream-compose0
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
 Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -177,8 +184,9 @@
  icons, etc.).
 
 Package: libappstream-compose-dev
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
 Section: libdevel
+Multi-Arch: same
 Depends: gir1.2-appstreamcompose-1.0 (= ${binary:Version}),
          libappstream-compose0 (= ${binary:Version}),
          libappstream-dev (= ${binary:Version}),
@@ -197,8 +205,9 @@
  using the AppStream compose library.
 
 Package: gir1.2-appstreamcompose-1.0
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
 Section: introspection
+Multi-Arch: same
 Depends: libappstream-compose0 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends}
@@ -267,15 +276,3 @@
 Multi-Arch: foreign
 Section: misc
 Depends: apt-config-icons,
-         ${misc:Depends}
-Description: APT configuration snippet to enable large icon downloads
- This package contains an APT configuration snippet that enables the
- download of an icon tarball containing application icons for display in
- software centers.
- Icons get downloaded directly from the archive via regular cache updates,
- and match the software currently available in the respective archive suites.
- .
- This snippet enables icon tarball downloads in large, 128x128px size.
- If these bigger icons are not downloaded by APT, a software center may
- decide to fetch them on-demand from a web location.
-

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,15 @@
 # -*- makefile -*-
 #export DH_VERBOSE=1
 
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64 x32))
+ENABLE_COMPOSE=-Dcompose=true
+else
+ENABLE_COMPOSE=-Dcompose=false
+endif
+
 AS_CONFIGURE_ARGS = -Dqt=true \
 		-Dapt-support=true \
-		-Dcompose=true \
+		$(ENABLE_COMPOSE) \
 		-Dvapi=true
 
 %:

=== debian/watch ===
version=4
https://www.freedesktop.org/software/appstream/releases/AppStream-([\d\.]+)\.(?:tar\.xz|tar\.zst|tar\.gz)

## appstream 0.15.5

=== debian/changelog ===
appstream (0.15.5-1) unstable; urgency=medium

  * New upstream version: 0.15.5
  * Update symbols file
  * Override false-positive source-is-missing Lintian error

 -- Matthias Klumpp <mak@debian.org>  Mon, 22 Aug 2022 20:28:46 +0200

appstream (0.15.4-1) unstable; urgency=medium

  * New upstream version: 0.15.4
  * Update symbols file
  * Clean up swcatalog on purge (Closes: #1009825)

 -- Matthias Klumpp <mak@debian.org>  Sun, 22 May 2022 22:54:28 +0200

appstream (0.15.3-1) unstable; urgency=medium

  * New upstream version: 0.15.3
    - Will no longer process Flatpak data (if available) as well in
      APT hooks (Closes: #1006269)
    - Centralize GOnce guard to fix an assertion failure
      in AsComponent (Closes: #1006684)
  * Bump build dependency on Meson
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Sun, 10 Apr 2022 21:56:00 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libxml2-dev,
                libxmlb-dev (>= 0.3.6),
                libyaml-dev,
-               meson (>= 0.56),
+               meson (>= 0.62),
                qtbase5-dev,
                valac
 Rules-Requires-Root: no

## appstream 0.15.6

=== debian/changelog ===
appstream (0.15.6-1) unstable; urgency=medium

  * New upstream version: 0.15.6
  * Mark "appstream" package as Multi-Arch: foreign (Closes: #1023366)
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Thu, 22 Dec 2022 22:56:38 +0100

=== debian/control ===
--- 
+++ 
@@ -25,13 +25,14 @@
                qtbase5-dev,
                valac
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.freedesktop.org/wiki/Distributions/AppStream/
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream
 
 Package: appstream
 Architecture: any
+Multi-Arch: foreign
 Depends: shared-mime-info,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -275,4 +276,3 @@
 Architecture: all
 Multi-Arch: foreign
 Section: misc
-Depends: apt-config-icons,

## appstream 0.16.0

=== debian/changelog ===
appstream (0.16.0-1) unstable; urgency=medium

  * New upstream version: 0.16.0
  * Update autopkgtests
  * Only build against libsystemd on Linux
  * Bump standards version (no changes needed)
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Thu, 26 Jan 2023 22:58:46 +0100

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
                libpango1.0-dev,
                librsvg2-dev (>= 2.48) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64 x32],
                libstemmer-dev,
+               libsystemd-dev (>= 242) [linux-any],
                libxml2-dev,
                libxmlb-dev (>= 0.3.6),
                libyaml-dev,
@@ -25,7 +26,7 @@
                qtbase5-dev,
                valac
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.freedesktop.org/wiki/Distributions/AppStream/
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream
@@ -191,7 +192,7 @@
 Depends: gir1.2-appstreamcompose-1.0 (= ${binary:Version}),
          libappstream-compose0 (= ${binary:Version}),
          libappstream-dev (= ${binary:Version}),
-         libgdk-pixbuf2.0-dev,
+         libgdk-pixbuf-2.0-dev,
          ${misc:Depends}
 Suggests: appstream-generator
 Description: Building blocks to compose AppStream metadata (development files)
@@ -273,6 +274,3 @@
  HiDPI displays.
 
 Package: apt-config-icons-large
-Architecture: all
-Multi-Arch: foreign
-Section: misc

## appstream 0.16.1

=== meson_options.txt ===
--- 
+++ 
@@ -2,6 +2,11 @@
        type : 'boolean',
        value : true,
        description : 'Use stemming while searching. Requires Snowball (libstemmer)'
+)
+option('systemd',
+       type : 'boolean',
+       value : true,
+       description : 'Build with systemd support'
 )
 option('vapi',
        type : 'boolean',
@@ -27,6 +32,11 @@
        type : 'boolean',
        value : true,
        description : 'Build introspection data'
+)
+option('svg-support',
+       type : 'boolean',
+       value : true,
+       description : 'SVG graphics support for compose (only disable this for bootstrapping purposes)'
 )
 
 option('docs',

=== debian/changelog ===
appstream (0.16.1-2) unstable; urgency=medium

  * Add add-missing-is-hidden-attribute.patch:
    - Fixes noisy warning with newer GLib versions (Closes: #1032519)
  * Add spdx-accept-brackets-in-expression-check.patch:
    - Consider license expressions with brackets as valid when testing
      them using the CLI tool.
  * Add compose-lowercase-cids.patch:
    - Ensure CIDs are lower-cased for synthesized components. This fixes
      a regression that broke ratings & reviews and caused unstable
      component hashes for appstream-generator.
  * Add fix-crash-on-invalid-yaml-input.patch:
    - Safeguard against someone feeding non-YAML data into the YAML parser.
  * Add compose-fix-qt-l10n-search-crash.patch:
    - Fix crash in compose when trying to find & parse Qt translation files
      to extract translation statistics.

 -- Matthias Klumpp <mak@debian.org>  Sun, 28 May 2023 17:10:40 +0200

appstream (0.16.1-1) unstable; urgency=medium

  * New upstream version: 0.16.1
    - Bugfix-only release, resolves crashes in clients that
      use GIR bindings (Closes: #1030588)

 -- Matthias Klumpp <mak@debian.org>  Fri, 10 Feb 2023 22:20:48 +0100

=== debian/control ===
--- 
+++ 
@@ -63,7 +63,7 @@
             optipng
 Replaces: appstream (<< 0.15.2)
 Breaks: appstream (<< 0.15.2)
-Description: Compose metadata collections from directory trees
+Description: Compose metadata catalogs from directory trees
  AppStream is a metadata specification which permits software components to
  provide information about themselves to automated systems and end-users
  before the software is actually installed.

=== debian/rules ===
--- 
+++ 
@@ -3,15 +3,19 @@
 #export DH_VERBOSE=1
 
 ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64 x32))
-ENABLE_COMPOSE=-Dcompose=true
+	ENABLE_COMPOSE=-Dcompose=true
 else
-ENABLE_COMPOSE=-Dcompose=false
+	ENABLE_COMPOSE=-Dcompose=false
 endif
 
 AS_CONFIGURE_ARGS = -Dqt=true \
 		-Dapt-support=true \
 		$(ENABLE_COMPOSE) \
 		-Dvapi=true
+
+ifneq ($(DEB_HOST_ARCH_OS), linux)
+	AS_CONFIGURE_ARGS += -Dsystemd=false
+endif
 
 %:
 	dh $@ --with gir

## appstream 0.16.2

=== debian/changelog ===
appstream (0.16.2-1) unstable; urgency=medium

  * New upstream version 0.16.2
  * Drop all patches: Applied upstream
  * Add fix-default-priority-override.patch
    - Resolves a test failure (Closes: #1008687)
  * Update d/symbols file

 -- Matthias Klumpp <mak@debian.org>  Sun, 18 Jun 2023 10:38:22 +0200

## appstream 0.16.3

=== debian/changelog ===
appstream (0.16.3-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Mon, 28 Aug 2023 13:22:23 +0300

appstream (0.16.3-1) unstable; urgency=medium

  * New upstream version: 0.16.3
  * Bump dependency on libxmlb
  * Drop all patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Tue, 22 Aug 2023 23:44:54 +0200

## appstream 0.16.4

=== debian/changelog ===
appstream (0.16.4-1) unstable; urgency=medium

  * New upstream version: 0.16.4

 -- Matthias Klumpp <mak@debian.org>  Fri, 10 Nov 2023 21:38:24 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libstemmer-dev,
                libsystemd-dev (>= 242) [linux-any],
                libxml2-dev,
-               libxmlb-dev (>= 0.3.6),
+               libxmlb-dev (>= 0.3.13),
                libyaml-dev,
                meson (>= 0.62),
                qtbase5-dev,

## appstream 1.0.1

=== meson_options.txt ===
--- 
+++ 
@@ -16,7 +16,12 @@
 option('qt',
        type : 'boolean',
        value : false,
-       description : 'Build libappstream-qt'
+       description : 'Build libappstream-qt for Qt6'
+)
+option('qt5',
+       type : 'boolean',
+       value : false,
+       description: 'Build libappstream-qt5 for Qt5'
 )
 option('compose',
        type : 'boolean',
@@ -37,6 +42,11 @@
        type : 'boolean',
        value : true,
        description : 'SVG graphics support for compose (only disable this for bootstrapping purposes)'
+)
+option('zstd-support',
+       type : 'boolean',
+       value : true,
+       description : 'Support Zstd for (de)compressing local / remote metadata'
 )
 
 option('docs',

=== debian/changelog ===
appstream (1.0.1-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Mon, 18 Dec 2023 14:43:37 +0200

appstream (1.0.1-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 1.0.1
  * Fix package tests
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Sat, 16 Dec 2023 18:26:45 +0100

appstream (1.0.0-1) experimental; urgency=medium

  * New upstream version: 1.0.0
    - This release contains API breaks for the shared libraries
      among many other feature changes.

 -- Matthias Klumpp <mak@debian.org>  Sat, 11 Nov 2023 22:20:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Matthias Klumpp <mak@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               docbook-xsl,
                gettext,
+               gi-docgen,
                gobject-introspection,
                gperf,
-               gtk-doc-tools,
                itstool,
                libcairo2-dev,
                libcurl4-gnutls-dev | libcurl-dev (>= 7.62),
@@ -18,13 +19,13 @@
                libpango1.0-dev,
                librsvg2-dev (>= 2.48) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64 x32],
                libstemmer-dev,
-               libsystemd-dev (>= 242) [linux-any],
                libxml2-dev,
                libxmlb-dev (>= 0.3.13),
                libyaml-dev,
                meson (>= 0.62),
                qtbase5-dev,
-               valac
+               valac,
+               xsltproc
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://www.freedesktop.org/wiki/Distributions/AppStream/
@@ -74,7 +75,7 @@
  This package extends the `appstreamcli` utility with a `compose` subcommand
  to generate AppStream metadata and media files from directory trees.
 
-Package: libappstream4
+Package: libappstream5
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -99,7 +100,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends: gir1.2-appstream-1.0 (= ${binary:Version}),
-         libappstream4 (= ${binary:Version}),
+         libappstream5 (= ${binary:Version}),
          libglib2.0-dev,
          ${misc:Depends}
 Description: Library to access AppStream services (development files)
@@ -117,7 +118,7 @@
 Architecture: any
 Section: introspection
 Multi-Arch: same
-Depends: libappstream4 (= ${binary:Version}),
+Depends: libappstream5 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends}
 Description: Library to access AppStream services (introspection data)
@@ -130,7 +131,7 @@
  .
  This package contains introspection data for the AppStream library.
 
-Package: libappstreamqt2
+Package: libappstreamqt5-3
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -148,11 +149,11 @@
  This package contains a Qt-based library to access AppStream
  services, like the software component metadata pool.
 
-Package: libappstreamqt-dev
+Package: libappstreamqt5-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libappstreamqt2 (= ${binary:Version}),
+Depends: libappstreamqt5-3 (= ${binary:Version}),
          qtbase5-dev,
          ${misc:Depends}
 Description: Qt5 library to access AppStream services (development files)

=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,14 @@
 #export DH_VERBOSE=1
 
 ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64 x32))
-	ENABLE_COMPOSE=-Dcompose=true
+	ENABLE_COMPOSE=true
 else
-	ENABLE_COMPOSE=-Dcompose=false
+	ENABLE_COMPOSE=false
 endif
 
-AS_CONFIGURE_ARGS = -Dqt=true \
+AS_CONFIGURE_ARGS = -Dqt5=true \
 		-Dapt-support=true \
-		$(ENABLE_COMPOSE) \
+		-Dcompose=$(ENABLE_COMPOSE) \
 		-Dvapi=true
 
 ifneq ($(DEB_HOST_ARCH_OS), linux)
